-- IRS COUNT MODULE	Produced by Simamu
--					Ver1.0	2001.01.16

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

ENTITY IRS_COUNT IS
	PORT
	(
		B_CLK	: IN	STD_LOGIC;
		B_RESET	: IN	STD_LOGIC;
		C_OUT	: OUT 	STD_LOGIC
	);
END IRS_COUNT;

ARCHITECTURE RTL OF IRS_COUNT IS
	SIGNAL	Q	: INTEGER RANGE 0 TO 2800;
BEGIN
	PROCESS (B_CLK,B_RESET)
	BEGIN
		IF (B_RESET /= '0')
		THEN	Q <= 0;
				C_OUT <= '0';
		ELSE	IF (B_CLK'EVENT AND B_CLK = '1')
				THEN	IF (Q < 2800)
						THEN	C_OUT <= '0';
								Q <= Q + 1;
						ELSE	C_OUT <= '1';
								Q <= 0;
						END IF;
				END IF;
		END IF;
	END PROCESS;
END RTL;

