LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY COUNT_10BIT IS

	PORT
	(
		CLK					:IN 	STD_LOGIC;
		Q					:OUT	integer range 0 to 1023);
	
END COUNT_10BIT;

ARCHITECTURE RTL OF COUNT_10BIT IS
	SIGNAL Q_fd : integer range 0 to 1023;
BEGIN
PROCESS (CLK)
	BEGIN
			if (CLK'event and CLK='1') then
					if (Q_fd = 1023) then
						Q_fd <= 0;
						else
						Q_fd <= Q_fd+1;
				end if;
			end if;
END PROCESS;
Q <= Q_fd;
END RTL;
