LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY COUNT_12BIT IS

	PORT
	(
		CLK					:IN 	STD_LOGIC;
		Q					:OUT	integer range 0 to 4095);
	
END COUNT_12BIT;

ARCHITECTURE RTL OF COUNT_12BIT IS
	SIGNAL Q_fd : integer range 0 to 4095;
BEGIN
PROCESS (CLK)
	BEGIN
			if (CLK'event and CLK='1') then
					if (Q_fd = 4095) then
						Q_fd <= 0;
						else
						Q_fd <= Q_fd+1;
				end if;
			end if;
END PROCESS;
Q <= Q_fd;
END RTL;
